Skip to main content
GET
cURL
get tweet replies by tweet id.Each page returns up to 20 replies(Sometimes less than 20,because we will filter out ads or other not tweets). Use cursor for pagination. Order by reply time desc

Authorizations

X-API-Key
string
header
required

Query Parameters

tweetId
string<string>
required

The tweet ID to get. Must be an original tweet (not a reply to another tweet) and should be the first tweet in a thread.. eg. 1846987139428634858

sinceTime
integer<int64>

On or after a specified unix timestamp in seconds.

untilTime
integer<int64>

Before a specified unix timestamp in seconds.

cursor
string<string>

The cursor to paginate through the results. First page is "".

Response

Tweet replies response

tweets
object[]

Array of tweets

has_next_page
boolean

Indicates if there are more results available. If true, use next_cursor to fetch the next page. Warning: Due to Twitter API inconsistency, has_more might return true even when no additional data exists. In such cases, subsequent requests will return empty results - this is a known platform limitation.

next_cursor
string

Cursor for fetching the next page of results

status
enum<string>

Status of the request.success or error

Available options:
success,
error
msg
string

Message of the request (error message on failure)